# Get group channel by scoped username

Retrieves a channel using its group-scoped username (slug). Useful for accessing channels without global usernames. Private channels and channels inside private groups require membership and otherwise return 404.

Endpoint: GET /api/v1/groups/{groupId}/channels/lookup
Version: 1.0
Security: 

## Query parameters:

  - `full` (boolean,null)
    If true return also summary, stats, header and fields. Default false.

  - `username` (string, required)
    Channel slug unique within the group (e.g. "news").

  - `htmlContent` (any)
    Returns text as html if true or original text if false. Applicable only to local posts and users. Default is true.

## Path parameters:

  - `groupId` (string, required)
    The unique identifier of the group
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"


